import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:photo_editor_sdk/photo_editor_sdk.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  Image image;

  @override
  void initState() {
    super.initState();
    _loadEditor();
  }

  _loadEditor() async {
    PhotoEditorSdk.setUserId(id: "5dbbf86f318f9f0001399d4e");

    PhotoEditorSdk.addAllContents(
      stickers: [
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcRqMKspUMJsK9fQsQJEHgmQx1U8IOTs5HP0vgbVfZqynEo6-IIm",
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcS0uCtvg269jcaKa2P2AyYcrw5h-DRJR0Lpe2by9I5LZu15GBZN",
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcSS0zCE8uqmkD1DaSLuaXxYpJSuatSOyWdkaFhafZe-z8RKC6Kk",
      ],
      logos: [
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcQN5h7AhxdwNgR1hanAFyV4VA87ujSDaGpJymSwLQHJEMl573l6",
        "https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcRw1jedDvieNuFQeXEKXp4F_ny9X1QFGU5HlZbB61nUliyxyy5Y",
        "https://pt.freelogodesign.org/Content/img/logo-samples/bakary.png"
      ],
    );
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Column(
            children: <Widget>[
              if( image != null ) ... [
                image
              ],
              RaisedButton(
                child: Text('Open editor'),
                onPressed: () async {
                  getImage();
                },
              ),
            ],
          ),
        ),
      ),
    );
  }


  Future getImage() async {
    var image2 = await ImagePicker.pickImage(source: ImageSource.gallery);

    await PhotoEditorSdk.editImage(image2.path, isLocally: true).then((r) {

      setState(() {
        image = Image.memory(r);
      });
    });
  }
}
